Bug 186039 - upgrade mail/p5-Mail-OpenDKIM to latest
Summary: upgrade mail/p5-Mail-OpenDKIM to latest
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-perl (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-23 15:40 UTC by Vivek Khera
Modified: 2014-03-05 19:10 UTC (History)
0 users

See Also:


Attachments
file.diff (1.24 KB, patch)
2014-01-23 15:40 UTC, Vivek Khera
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Vivek Khera 2014-01-23 15:40:00 UTC
	
update p5-Mail-OpenDKIM to latest version, which fixes compile and core-dump errors on FreeBSD 10 using clang.
Comment 1 Edwin Groothuis freebsd_committer 2014-01-23 15:40:08 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-01-23 15:40:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

perl@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 3 Edwin Groothuis freebsd_committer 2014-01-23 15:40:11 UTC
Maintainer of mail/p5-Mail-OpenDKIM,

Please note that PR ports/186039 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/186039

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 4 Edwin Groothuis freebsd_committer 2014-01-23 15:40:12 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 5 Vick Khera 2014-01-23 17:15:09 UTC
I approve this patch. I accidentally sent it using my default work address.


On Thu, Jan 23, 2014 at 10:40 AM, Edwin Groothuis <edwin@freebsd.org> wrote:

> Maintainer of mail/p5-Mail-OpenDKIM,
>
> Please note that PR ports/186039 has just been submitted.
>
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
>
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/186039
>
> --
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org
>
Comment 6 Mathieu Arnold freebsd_committer 2014-01-23 20:28:17 UTC
State Changed
From-To: feedback->open

Sent from the maintainer. 


Comment 7 Mathieu Arnold freebsd_committer 2014-01-23 20:28:17 UTC
Class Changed
From-To: change-request->maintainer-update

Sent from the maintainer.
Comment 8 azverev 2014-02-02 12:51:17 UTC
Hello,

I have a short question. Do you need also put p5-Error>=3D0:${PORTSDIR}/lan=
g/p5-Error as direct RUN_DEPENDS? I see in code you are using it and Error =
is not a core module.
Comment 9 dfilter service freebsd_committer 2014-02-02 13:35:37 UTC
Author: az
Date: Sun Feb  2 13:35:30 2014
New Revision: 342288
URL: http://svnweb.freebsd.org/changeset/ports/342288
QAT: https://qat.redports.org/buildarchive/r342288/

Log:
  - Update to version 4201
    fixes compile and core-dump errors on FreeBSD 10 using clang
  
  While I'm here:
  - add stage support
  - add p5-Error in RUN_DEPENDS
  
  PR:		ports/186039
  Submitted by:	maintainer

Modified:
  head/mail/p5-Mail-OpenDKIM/Makefile
  head/mail/p5-Mail-OpenDKIM/distinfo

Modified: head/mail/p5-Mail-OpenDKIM/Makefile
==============================================================================
--- head/mail/p5-Mail-OpenDKIM/Makefile	Sun Feb  2 13:32:48 2014	(r342287)
+++ head/mail/p5-Mail-OpenDKIM/Makefile	Sun Feb  2 13:35:30 2014	(r342288)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	Mail-OpenDKIM
-PORTVERSION=	4040
+PORTVERSION=	4201
 CATEGORIES=	mail perl5
 MASTER_SITES=	CPAN
 PKGNAMEPREFIX=	p5-
@@ -15,16 +15,12 @@ LICENSE_COMB=	dual
 
 BUILD_DEPENDS=	opendkim>=2.5.0:${PORTSDIR}/mail/opendkim
 LIB_DEPENDS=	opendkim:${PORTSDIR}/mail/opendkim
-RUN_DEPENDS=	opendkim>=2.5.0:${PORTSDIR}/mail/opendkim
-TEST_DEPENDS=	p5-Error>=0:${PORTSDIR}/lang/p5-Error \
-		p5-Test-Kwalitee>=0:${PORTSDIR}/devel/p5-Test-Kwalitee
+RUN_DEPENDS=	opendkim>=2.5.0:${PORTSDIR}/mail/opendkim \
+		p5-Error>=0:${PORTSDIR}/lang/p5-Error
 
 USES=		perl5
 USE_PERL5=	configure
 
-MAN3=		Mail::OpenDKIM.3 Mail::OpenDKIM::DKIM.3 \
-		Mail::OpenDKIM::PrivateKey.3 Mail::OpenDKIM::Signature.3 \
-		Mail::OpenDKIM::Signer.3
 PLIST_FILES=	%%SITE_PERL%%/%%PERL_ARCH%%/Mail/OpenDKIM.pm \
 		%%SITE_PERL%%/%%PERL_ARCH%%/Mail/OpenDKIM/DKIM.pm \
 		%%SITE_PERL%%/%%PERL_ARCH%%/Mail/OpenDKIM/PrivateKey.pm \
@@ -32,11 +28,13 @@ PLIST_FILES=	%%SITE_PERL%%/%%PERL_ARCH%%
 		%%SITE_PERL%%/%%PERL_ARCH%%/Mail/OpenDKIM/Signer.pm \
 		%%SITE_PERL%%/%%PERL_ARCH%%/auto/Mail/OpenDKIM/.packlist \
 		%%SITE_PERL%%/%%PERL_ARCH%%/auto/Mail/OpenDKIM/OpenDKIM.bs \
-		%%SITE_PERL%%/%%PERL_ARCH%%/auto/Mail/OpenDKIM/OpenDKIM.so
+		%%SITE_PERL%%/%%PERL_ARCH%%/auto/Mail/OpenDKIM/OpenDKIM.so \
+		%%PERL5_MAN3%%/Mail::OpenDKIM.3 Mail::OpenDKIM::DKIM.3.gz \
+		%%PERL5_MAN3%%/Mail::OpenDKIM::PrivateKey.3 Mail::OpenDKIM::Signature.3.gz \
+		%%PERL5_MAN3%%/Mail::OpenDKIM::Signer.3.gz
 PLIST_DIRS=	%%SITE_PERL%%/%%PERL_ARCH%%/auto/Mail/OpenDKIM \
 		%%SITE_PERL%%/%%PERL_ARCH%%/Mail/OpenDKIM
 PLIST_DIRSTRY=	%%SITE_PERL%%/%%PERL_ARCH%%/auto/Mail \
 		%%SITE_PERL%%/%%PERL_ARCH%%/Mail
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/mail/p5-Mail-OpenDKIM/distinfo
==============================================================================
--- head/mail/p5-Mail-OpenDKIM/distinfo	Sun Feb  2 13:32:48 2014	(r342287)
+++ head/mail/p5-Mail-OpenDKIM/distinfo	Sun Feb  2 13:35:30 2014	(r342288)
@@ -1,2 +1,2 @@
-SHA256 (Mail-OpenDKIM-4040.tar.gz) = e95895313895aa7b65bd65a1be7148ac539bb08a8749d60fe8159ca486baed00
-SIZE (Mail-OpenDKIM-4040.tar.gz) = 31534
+SHA256 (Mail-OpenDKIM-4201.tar.gz) = 04cc1b42167fbd55f0db2676d4f6748d090aaf023e816393eb7bb81e8a6cbd91
+SIZE (Mail-OpenDKIM-4201.tar.gz) = 32447
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 10 Andrej Zverev freebsd_committer 2014-02-02 17:20:06 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 11 dfilter service freebsd_committer 2014-03-05 19:00:20 UTC
Author: rm
Date: Wed Mar  5 19:00:06 2014
New Revision: 347134
URL: http://svnweb.freebsd.org/changeset/ports/347134
QAT: https://qat.redports.org/buildarchive/r347134/

Log:
  MFH: r342288
  
  - Update to version 4201
    fixes compile and core-dump errors on FreeBSD 10 using clang
  
  While I'm here:
  - add stage support
  - add p5-Error in RUN_DEPENDS
  
  PR:		ports/186039
  Submitted by:	maintainer
  Approved by:    portmgr (miwi)

Modified:
  branches/2014Q1/mail/p5-Mail-OpenDKIM/Makefile
  branches/2014Q1/mail/p5-Mail-OpenDKIM/distinfo
Directory Properties:
  branches/2014Q1/   (props changed)

Modified: branches/2014Q1/mail/p5-Mail-OpenDKIM/Makefile
==============================================================================
--- branches/2014Q1/mail/p5-Mail-OpenDKIM/Makefile	Wed Mar  5 18:57:04 2014	(r347133)
+++ branches/2014Q1/mail/p5-Mail-OpenDKIM/Makefile	Wed Mar  5 19:00:06 2014	(r347134)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	Mail-OpenDKIM
-PORTVERSION=	4040
+PORTVERSION=	4201
 CATEGORIES=	mail perl5
 MASTER_SITES=	CPAN
 PKGNAMEPREFIX=	p5-
@@ -15,16 +15,12 @@ LICENSE_COMB=	dual
 
 BUILD_DEPENDS=	opendkim>=2.5.0:${PORTSDIR}/mail/opendkim
 LIB_DEPENDS=	opendkim:${PORTSDIR}/mail/opendkim
-RUN_DEPENDS=	opendkim>=2.5.0:${PORTSDIR}/mail/opendkim
-TEST_DEPENDS=	p5-Error>=0:${PORTSDIR}/lang/p5-Error \
-		p5-Test-Kwalitee>=0:${PORTSDIR}/devel/p5-Test-Kwalitee
+RUN_DEPENDS=	opendkim>=2.5.0:${PORTSDIR}/mail/opendkim \
+		p5-Error>=0:${PORTSDIR}/lang/p5-Error
 
 USES=		perl5
 USE_PERL5=	configure
 
-MAN3=		Mail::OpenDKIM.3 Mail::OpenDKIM::DKIM.3 \
-		Mail::OpenDKIM::PrivateKey.3 Mail::OpenDKIM::Signature.3 \
-		Mail::OpenDKIM::Signer.3
 PLIST_FILES=	%%SITE_PERL%%/%%PERL_ARCH%%/Mail/OpenDKIM.pm \
 		%%SITE_PERL%%/%%PERL_ARCH%%/Mail/OpenDKIM/DKIM.pm \
 		%%SITE_PERL%%/%%PERL_ARCH%%/Mail/OpenDKIM/PrivateKey.pm \
@@ -32,11 +28,13 @@ PLIST_FILES=	%%SITE_PERL%%/%%PERL_ARCH%%
 		%%SITE_PERL%%/%%PERL_ARCH%%/Mail/OpenDKIM/Signer.pm \
 		%%SITE_PERL%%/%%PERL_ARCH%%/auto/Mail/OpenDKIM/.packlist \
 		%%SITE_PERL%%/%%PERL_ARCH%%/auto/Mail/OpenDKIM/OpenDKIM.bs \
-		%%SITE_PERL%%/%%PERL_ARCH%%/auto/Mail/OpenDKIM/OpenDKIM.so
+		%%SITE_PERL%%/%%PERL_ARCH%%/auto/Mail/OpenDKIM/OpenDKIM.so \
+		%%PERL5_MAN3%%/Mail::OpenDKIM.3 Mail::OpenDKIM::DKIM.3.gz \
+		%%PERL5_MAN3%%/Mail::OpenDKIM::PrivateKey.3 Mail::OpenDKIM::Signature.3.gz \
+		%%PERL5_MAN3%%/Mail::OpenDKIM::Signer.3.gz
 PLIST_DIRS=	%%SITE_PERL%%/%%PERL_ARCH%%/auto/Mail/OpenDKIM \
 		%%SITE_PERL%%/%%PERL_ARCH%%/Mail/OpenDKIM
 PLIST_DIRSTRY=	%%SITE_PERL%%/%%PERL_ARCH%%/auto/Mail \
 		%%SITE_PERL%%/%%PERL_ARCH%%/Mail
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: branches/2014Q1/mail/p5-Mail-OpenDKIM/distinfo
==============================================================================
--- branches/2014Q1/mail/p5-Mail-OpenDKIM/distinfo	Wed Mar  5 18:57:04 2014	(r347133)
+++ branches/2014Q1/mail/p5-Mail-OpenDKIM/distinfo	Wed Mar  5 19:00:06 2014	(r347134)
@@ -1,2 +1,2 @@
-SHA256 (Mail-OpenDKIM-4040.tar.gz) = e95895313895aa7b65bd65a1be7148ac539bb08a8749d60fe8159ca486baed00
-SIZE (Mail-OpenDKIM-4040.tar.gz) = 31534
+SHA256 (Mail-OpenDKIM-4201.tar.gz) = 04cc1b42167fbd55f0db2676d4f6748d090aaf023e816393eb7bb81e8a6cbd91
+SIZE (Mail-OpenDKIM-4201.tar.gz) = 32447
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"